=== cddl/lib/libumem/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem

LIB=	umem
SRCS=	umem.c
CFLAGS+= -I${.CURDIR}/../../../cddl/compat/opensolaris/lib/libumem

.include <bsd.lib.mk>
