=== debian/changelog ===
zfsutils (8.2-2) unstable; urgency=low

  [ Guillem Jover ]
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Line-wrap CFLAGS and PMAKE variables in debian/rules.
  * Set numeric user and group id to 0 for files in get-orig-source.

  [ Robert Millan ]
  * Fix broken dependency on "libumem0-udeb.install".
  * Add bash_completion script (stolen from zfs-fuse).

 -- Robert Millan <rmh@debian.org>  Sun, 10 Jul 2011 12:26:49 +0200

zfsutils (8.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.2.

  [ Robert Millan ]
  * Fix bootloader advice to give instructions on upgrading GRUB.

  [ Aurelien Jarno ]
  * Fix build with recent binutils versions.
  * Add zdb, zinject and ztest, based on a patch from Arno Töll.
    Closes: #618592.
  * Bump to Standards-Version 3.9.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 Apr 2011 21:53:04 +0200

zfsutils (8.1-4) unstable; urgency=low

  * Create a /boot/zfs/ directory in zfsutils-udeb, so that zpool.cache
    can be created there. Closes: bug#591820.
  * Add 09_xdr_control.diff, 10_zpool_import.diff, 11_endian.diff and
    12_freebsd.diff to improve the port to GNU/kFreeBSD and fix various
    issues:
    - "zpool list" command with more than 4 devices.  Closes: bug#595021.
    - "zpool import" command not working.  Closes: bug#592676.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 02 Sep 2010 01:41:20 +0200

zfsutils (8.1-3) unstable; urgency=low

  * Create /etc/zfs so that zfs can store its configuration. Closes:
    bug#591921.
  * Update init script to also start/stop zvol and mount swap on zvol.
    Closes: bug#591909.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Aug 2010 13:39:27 +0200

zfsutils (8.1-2) unstable; urgency=low

  * Create a /boot/zfs/ directory so that zpool.cache can be created
    there. Closes: bug#591820.
  * Add an initscript to mount/umount filesystems. Closes: bug#591823.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 06 Aug 2010 03:45:27 +0200

zfsutils (8.1-1) unstable; urgency=low

  [ Tuco Xyz / Petr Salinger / Aurelien Jarno ]
  * Initial release.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Jul 2010 20:53:23 +0200
