=== debian/control ===
Source: zfsutils
Section: admin
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 7), freebsd-buildutils, libbsd-dev (>= 0.1.4),
 libc0.1-dev (>= 2.10), kfreebsd-kernel-headers (>= 0.51), libgeom-dev, libsbuf-dev,
 zlib1g-dev
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/zfsutils/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/zfsutils/
Standards-Version: 3.9.2

Package: libuutil0
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris userland utility library
 This package contains the OpenSolaris userland utility library.

Package: libuutil-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libuutil0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libuutil
 This package contains the header files and static library needed to
 compile applications that use libuutil.

Package: libuutil0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris userland utility library
 This package contains the OpenSolaris userland utility library.
 .
 This is a minimal package for use in debian-installer.

Package: libnvpair0
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libnvpair library, for managing
 name-value pairs.

Package: libnvpair-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libnvpair0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libnvpair
 This package contains the header files and static library needed to
 compile applications that use libnvpair.

Package: libnvpair0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libnvpair library, for managing
 name-value pairs.
 .
 This is a minimal package for use in debian-installer.

Package: libzfs0
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD ZFS library
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 The ZFS library provides support for managing ZFS filesystems.

Package: libzfs-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libzfs0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libzfs
 This package contains the header files and static library needed to
 compile applications that use libzfs.

Package: libzfs0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD ZFS library
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 The ZFS library provides support for managing ZFS filesystems.
 .
 This is a minimal package for use in debian-installer.

Package: zfsutils
Section: admin
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tools to manage ZFS filesystems
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 This package provides the zfs and zpool commands to create and administer
 ZFS filesystems.

Package: zfsutils-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tools to manage ZFS filesystems
 The Z file system is a pooled filesystem designed for maximum data integrity,
 supporting data snapshots, multiple copies, and data checksums.
 .
 This package provides the zfs and zpool commands to create and administer
 ZFS filesystems.
 .
 This is a minimal package for use in debian-installer.


Package: libumem0
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libumem library, to detect
 memory management bugs in applications

Package: libumem-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libumem0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libnvpair
 This package contains the header files and static library needed to
 compile applications that use libumem.

Package: libumem0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libumem library, to detect
 memory management bugs in applications


Package: libzpool0
Section: libs
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libzpool library.
 .
 This is a minimal package for use in debian-installer.

Package: libzpool-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libzpool0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libnvpair
 This package contains the header files and static library needed to
 compile applications that use libzpool.

Package: libzpool0-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenSolaris name-value pair library
 This package contains the OpenSolaris libzpool library.
 .
 This is a minimal package for use in debian-installer.
